<%@ WebService Language="C#" Class="ComplexType" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Collections.Generic;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class ComplexType  : System.Web.Services.WebService {

	[WebMethod]
	public Employee DoubleSalary(Employee employee)
	{
		employee.Salary *= 2;
		return employee; 
	}

	[WebMethod]
	public List<int> Reverse(List<int> list)
	{
		list.Reverse();
		return list;
	}

	[WebMethod]
	public IDictionary<string, Employee> GetEmployees()
	{
		Dictionary<string, Employee> result = new Dictionary<string, Employee>();

		Employee emp1 = new Employee();
		emp1.FirstName = "Jeffrey";
		emp1.LastName = "Zhao";
		emp1.Salary = 1000;
		result[emp1.FullName] = emp1;

		Employee emp2 = new Employee();
		emp2.FirstName = "Tom";
		emp2.LastName = "Chen";
		emp2.Salary = 2000;
		result[emp2.FullName] = emp2;

		return result;
	}
}

