<%@ WebService Language="C#" Class="Sample.WebServiceFoundation" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;

namespace Sample
{
	[WebService(Namespace = "http://tempuri.org/")]
	[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
	[ScriptService]
	public class WebServiceFoundation : System.Web.Services.WebService
	{
		[WebMethod]
		public int GetRandom()
		{
			return new Random(DateTime.Now.Millisecond).Next();
		}

		[WebMethod]
		public int GetRangeRandom(int minValue, int maxValue)
		{
			return new Random(DateTime.Now.Millisecond).Next(minValue, maxValue);
		}
	}
}